#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EPublishedFileStorageSystem {
    Invalid = 0,
    LegacyCloud = 1,
    Depot = 2,
    UGCCloud = 3,
}

impl EPublishedFileStorageSystem {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::LegacyCloud as i32 => Some(Self::LegacyCloud),
            x if x == Self::Depot as i32 => Some(Self::Depot),
            x if x == Self::UGCCloud as i32 => Some(Self::UGCCloud),
            _ => None,
        }
    }
}
